Bug 585183 - teTeX: dvihp script is missing required dvilj* binary
Summary: teTeX: dvihp script is missing required dvilj* binary
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tetex
Version: 5.5
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jindrich Novy
QA Contact: BaseOS QE Security Team
URL: http://www.ctan.org/tex-archive/dviwa...
Whiteboard:
Depends On: 585177 585180
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-23 11:33 UTC by Jan Lieskovsky
Modified: 2013-07-02 23:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 585180
Environment:
Last Closed: 2013-03-26 15:16:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-04-23 11:33:23 UTC
+++ This bug was initially created as a clone of Bug #585180 +++

+++ This bug was initially created as a clone of Bug #585177 +++

Description of problem:
------------------------
The TeX's dviljk binary translates the given typesetter-independent .dvi (DeVice Independent) file -- DVIFILE to Hewlett-Packard Printer Command
Language (PCL) by calling dvicopy, and then dvilj* (dvilj4 by default).

But the required /usr/bin/dvilj4 binary is missing in tetex 
package, as shipped with Red Hat Enterprise Linux 5.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
tetex-3.0-33.8.el5.*

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Try to translate some DVI file into Hewlett-Packard's PCL:
cp /usr/share/texmf/doc/programs/dvips.dvi /tmp
2. Run "dvihp" on it
  
Actual results:
---------------

dvihp -v -o dvips.pcl dvips.dvi 
Running dvicopy dvips.dvi >/dvihp.DX4957/dvi4956.vf
This is DVIcopy, Version 1.5 (Web2C 7.5.4)
Copyright (C) 1990,95 Peter Breitenlohner
Distributed under terms of GNU General Public License
DVI file: ' TeX output 2005.02.06:0953',
   num=25400000, den=473628672, mag=1000.
DVI: font 113 = cminch.

[..]

OUT file: 382748 bytes, 64 pages written.
(No errors were found.)
-rw-r--r-- 1 root root 382748 Apr 23 07:31 /dvihp.DX4957/dvi4956.vf
Running dvilj4  -v -edvips.pcl "/dvihp.DX4957/dvi4956.vf" 
/usr/bin/dvihp: line 125: dvilj4: command not found
/usr/bin/dvihp: dvilj4 failed.

Expected results:
-----------------
File dvips.pcl successfully generated.

Comment 6 Jan Zeleny 2013-03-26 15:16:58 UTC
I'm sorry but this issue won't be addressed in RHEL5, as it is now in late stage of development cycle and only critical fixes are accepted. Closing as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.